deque.tcc File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | _DEQUE_TCC

## Functions

| std::__catch (...)
else return | std::_M_insert_aux (__position._M_const_cast(), __x)
this _M_impl _M_finish | std::_M_set_node (this->_M_impl._M_finish._M_node+1)
this _M_impl | std::construct (this->_M_impl._M_start._M_cur, std::forward< _Args >(__args)...)
template<typename _Tp >
_Deque_iterator< _Tp, _Tp &, _Tp * > | std::copy (_Deque_iterator< _Tp, const _Tp &, const _Tp * > __first, _Deque_iterator< _Tp, const _Tp &, const _Tp * > __last, _Deque_iterator< _Tp, _Tp &, _Tp * > __result)
template<typename _Tp >
_Deque_iterator< _Tp, _Tp &, _Tp * > | std::copy_backward (_Deque_iterator< _Tp, const _Tp &, const _Tp * > __first, _Deque_iterator< _Tp, const _Tp &, const _Tp * > __last, _Deque_iterator< _Tp, _Tp &, _Tp * > __result)
template<typename... _Args>
void | std::deque< _Tp, _Alloc >_M_reserve_map_at_back ()
template<typename... _Args>
void | std::deque< _Tp, _Alloc >_M_reserve_map_at_front ()
template<typename _Tp , typename _Alloc >
deque< _Tp, _Alloc >::iterator | std::deque< _Tp, _Alloc >if (__position._M_cur==this->_M_impl._M_start._M_cur)
template<typename _Tp >
void | std::fill (const _Deque_iterator< _Tp, _Tp &, _Tp * > &__first, const _Deque_iterator< _Tp, _Tp &, _Tp * > &__last, const _Tp &__value)
else | std::if (__position._M_cur==this->_M_impl._M_finish._M_cur)
template<typename _Tp >
_Deque_iterator< _Tp, _Tp &, _Tp * > | std::move (_Deque_iterator< _Tp, const _Tp &, const _Tp * > __first, _Deque_iterator< _Tp, const _Tp &, const _Tp * > __last, _Deque_iterator< _Tp, _Tp &, _Tp * > __result)
template<typename _Tp >
_Deque_iterator< _Tp, _Tp &, _Tp * > | std::move_backward (_Deque_iterator< _Tp, const _Tp &, const _Tp * > __first, _Deque_iterator< _Tp, const _Tp &, const _Tp * > __last, _Deque_iterator< _Tp, _Tp &, _Tp * > __result)

## Variables

| std::__try
this _M_impl _M_finish | std::_M_cur
*this _M_impl _M_finish | std::_M_node

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <deque>.

Definition in file deque.tcc.